> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get a webhook by ID



## OpenAPI

````yaml GET /webhooks/{webhook_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /webhooks/{webhook_id}:
    get:
      tags:
        - Webhooks
      summary: Get a webhook by ID
      description: Get a webhook by ID
      operationId: getWebhookById
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: The ID of the webhook to get
          schema:
            type: string
      responses:
        '200':
          description: A webhook
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the webhook
        object:
          type: string
          enum:
            - webhook
          description: Object type, always 'webhook'
        created_at:
          type: integer
          description: Unix timestamp in milliseconds when the webhook was created
        webhook_secret:
          type: string
          description: Secret used to verify the webhook request
        endpoint:
          type: string
          description: URL of the webhook endpoint
        active:
          type: boolean
          description: Whether the webhook is active
        description:
          type: string
          description: Description of the webhook
        subscribed_events:
          type: array
          description: Events that the webhook is subscribed to
          items:
            $ref: '#/components/schemas/WebhookEvents'
      required:
        - id
        - object
        - created_at
        - subscribed_events
        - active
        - endpoint
        - webhook_secret
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    WebhookEvents:
      type: string
      enum:
        - describe.job.processing
        - describe.job.completed
        - describe.job.failed
        - extract.job.processing
        - extract.job.completed
        - extract.job.failed
        - file.job.processing
        - file.job.completed
        - file.job.failed
        - file.job.deleted
        - collection.file.job.processing
        - collection.file.job.completed
        - collection.file.job.failed
        - collection.file.job.deleted
        - segment.job.processing
        - segment.job.completed
        - segment.job.failed
      description: Webhook events that can be subscribed to
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````